---
    apiVersion: apps/v1
    kind: Deployment
    metadata:
      name: minio
      namespace: minio-dr
    spec:
      selector:
        matchLabels:
          app: minio
      template:
        metadata:
          labels:
            app: minio
        spec:
          containers:
          - name: minio
            image: harbor-azure.wistron.com/azure-rehearsal/minio@sha256:4ab1f2c59fcd3152a19b74c0ad70ed6c165a971995eb611fa89a1a4bc38da93c
            imagePullPolicy: Always
            args: ["server", "/data", "--console-address",":9001"]
            env:
            # Minio access key and secret key
            - name: MINIO_ACCESS_KEY
              value: "minio"
            - name: MINIO_SECRET_KEY
              value: "minio123"
            resources:
              limits:
                memory: "500Mi"
                cpu: "500m"
            ports:
              - containerPort: 9000
              - containerPort: 9001
            volumeMounts:
              - mountPath: /data
                name: minio
          dnsPolicy: ClusterFirst
          imagePullSecrets:
            - name: harbor-azure
          volumes:
            - name: minio
              persistentVolumeClaim:
                claimName: minio